Extra whitespace at top of page
Closed, ResolvedPublic


The recent software update seems to have added a blank whitespace between the Article, Discussion, etc... tabs and the page title. The appearance is as if the entire page text has been pushed down some within its bounding box. This is visible on both IE and Firefox and roughly the height of a normal line of text.

Version: unspecified
Severity: minor

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 10:38 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz19219.
Dragons_flight created this task.Via LegacyJun 15 2009, 4:50 PM
bzimport added a comment.Via ConduitJun 15 2009, 5:45 PM

matthew.britton wrote:

Affects monobook skin only on all Wikimedia wikis.

This is the change which did it:


The change has no affect on the default appearence because by default there is no sitenotice div on the page. On Wikimedia wikis, the sitenotice div is always there, just empty when there is no notice. Thus this change added 0.9em of blank space. The "corrected" line should never have been there in the first place.

Fix is to remove that line.

brion added a comment.Via ConduitJun 23 2009, 1:18 AM

Change appears to have been made due to mistaken impression of what the code did...

Explanation: "padding: 0 .9em" sets the top/bottom padding to 0 and the left/right padding to 0.9em.

"padding-top: 0.9em" sets the top padding to 0.9em and leaves the top/left/right padding unset -- totally different.

I'm changing it to "padding: 0 0.9em" to make it clearer that it's not a mistake for "0.9". Fixed in r52299.

brion added a comment.Via ConduitJun 23 2009, 1:21 AM

Created attachment 6251
Screenshot of bad & good output w/ giant space of doom

To illustrate the problem for future generations.


Add Comment